Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.beans.common
Class T3BeanMsg

    java.lang.Object
      |
      +--weblogic.beans.common.T3BeanMsg

public class T3BeanMsg
extends java.lang.Object
implements WLSerializable

T3BeanMsg objects are used to pass events about changing state between T3Beans and between T3Beans and the T3Server.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`java.lang.Exception` | `exception`
`int` | `invokeID`
`java.lang.String` | `invoker`
`java.lang.String` | `name`
`java.lang.Object` | `result`
`java.lang.String` | `source`
`int` | `topic`

Constructor Summary
`T3BeanMsg()`

Method Summary
`void` | `destroy()` Destroys a T3BeanMsg.
`void` | `initialize()` Initializes a T3BeanMsg.
`void` | `readObject(WLObjectInput sis)` Internal use only.
`java.lang.String` | `toString()` Display a pretty-print version of a T3BeanMsg.
`void` | `writeObject(WLObjectOutput sos)` Internal use only.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### source

    public java.lang.String source

### topic

    public int topic

### invokeID

    public int invokeID

### invoker

    public java.lang.String invoker

### result

    public java.lang.Object result

### exception

    public java.lang.Exception exception

Constructor Detail

### T3BeanMsg

    public T3BeanMsg()

Method Detail

### readObject

    public void readObject(WLObjectInput sis)
                    throws java.io.IOException,
                           java.lang.ClassNotFoundException

  Internal use only.
  Specified by:
    readObject in interface WLSerializable

  Throws:
    java.lang.ClassNotFoundException - if unable to find the class of the object

### writeObject

    public void writeObject(WLObjectOutput sos)
                     throws java.io.IOException

  Internal use only.
  Specified by:
    writeObject in interface WLSerializable

### initialize

    public void initialize()

  Initializes a T3BeanMsg.

### destroy

    public void destroy()

  Destroys a T3BeanMsg.

### toString

    public java.lang.String toString()

  Display a pretty-print version of a T3BeanMsg.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD